package sun.awt.windows;

import java.awt.GraphicsConfiguration;
import java.awt.Dimension;
import java.awt.MenuBar;
import sun.awt.Win32GraphicsEnvironment;
import java.awt.Rectangle;
import java.awt.Dialog;
import java.awt.Graphics;
import sun.awt.EmbeddedFrame;

public class WEmbeddedFramePeer extends WFramePeer
{
    public WEmbeddedFramePeer(EmbeddedFrame embeddedFrame) {
        super(embeddedFrame);
    }
    
    @Override
    native void create(WComponentPeer p0);
    
    @Override
    public void print(Graphics graphics) {
    }
    
    @Override
    public void updateMinimumSize() {
    }
    
    public void modalDisable(Dialog blocker, long n) {
        super.modalDisable(blocker, n);
        ((EmbeddedFrame)this.target).notifyModalBlocked(blocker, true);
    }
    
    public void modalEnable(Dialog blocker) {
        super.modalEnable(blocker);
        ((EmbeddedFrame)this.target).notifyModalBlocked(blocker, false);
    }
    
    @Override
    public void setBoundsPrivate(int n, int n2, int n3, int n4) {
        this.setBounds(n, n2, n3, n4, 16387);
    }
    
    @Override
    public native Rectangle getBoundsPrivate();
    
    @Override
    public boolean isAccelCapable() {
        return !Win32GraphicsEnvironment.isDWMCompositionEnabled();
    }
}
